
Installer - Bug #11809

The 1.9.1 installer does not seem to include latest updates to puppet-foreman

09/15/2015 03:22 AM - Jan Pazdziora

Status: Resolved   

Priority: High   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There have been multiple commits to https://github.com/theforeman/puppet-foreman.git since July's 4.0.1 tag but noone seems to

have tagged them so installer's Puppetfile clause

mod 'theforeman/foreman',       '>= 4.0.0 < 4.1.0'

 only got the old 4.0.1 release.

Please tag puppet-foreman and respin foreman-installer to get the updates in.

History

#1 - 09/15/2015 03:34 AM - Dominic Cleal

- Status changed from New to Need more information

That's entirely deliberate... 1.9.1 is a stable patch release, we don't take everything from the master branch.  If there's a specific fix we need then we'd

release a patch update of the installer module too and include that.

#2 - 09/15/2015 03:35 AM - Dominic Cleal

(To continue..) the contents of master will be shipped in Foreman 1.10.0.

#3 - 09/15/2015 04:17 AM - Jan Pazdziora

That's unfortunate. When we were getting 9dc2cdb1b1301d69c6a6187146f09abf6d14ce1f into puppet-foreman via 

https://github.com/theforeman/puppet-foreman/pull/333, in July, we've hoped it would get out with 1.9.0. We weren't aware that no tag in that repo will

happen before 1.9 GA and thus that this change will never make it into 1.9.x.

Do you say that a review of commits post-4.0.1 was done and deliberate decision was made that none of the commits made after it (yet before 1.9

GA) should be included in 1.9? To external observer it looks more like omission.

#4 - 09/15/2015 04:30 AM - Dominic Cleal

After branching in June, I'd typically cherry pick anything to a patch release that has a ticket marked for that release, or that's a bug fix I've been made

aware of, or that somebody left a comment to ask for in a particular release.  Using a ticket is the typical way to mark things for a release.

For that particular change, it didn't stand out to me as something that was required for 1.9.0 so I hadn't even considered including it.  Though we

wouldn't have been able to put it in a patch release of puppet-foreman, as it would have broken semver (http://semver.org/, part 7 about

deprecations).

#5 - 02/29/2016 10:01 AM - Dominic Cleal

- Status changed from Need more information to Resolved

The changes noted above should be shipped in 1.10 and higher, now available.
